Commit 5a5eae51 authored by Tim-Philipp Müller's avatar Tim-Philipp Müller 🐠

Release 1.15.2

parent 96ecb224
Pipeline #21490 failed with stages
in 17 minutes and 17 seconds
=== release 1.15.2 ===
2019-02-26 12:00:58 +0000 Tim-Philipp Müller <tim@centricular.com>
* ChangeLog:
* NEWS:
* RELEASE:
* configure.ac:
* gst-python.doap:
* meson.build:
Release 1.15.2
2019-01-30 15:45:21 -0300 Thibault Saunier <tsaunier@igalia.com>
* gi/overrides/Gst.py:
* gi/overrides/GstPbutils.py:
Gst.init() has to be called before GstPbutils is imported
This makes sure that we do not try to use GstPbutils before Gst is init
and in case GstPbutils is imported while Gst is not imported, use the
`GstPbutils.pb_utils_init()` function to have the oportunity to
initialize the overrides.
Not that we also introduce a `GstPbutils.init()` variant because
`GstPbutils.pb_utils_init()` is an ugly name.
2019-01-22 16:59:02 -0300 Thibault Saunier <tsaunier@igalia.com>
* meson.build:
* meson_options.txt:
meson: Re add workarounds to detect libpython path
This was removed all together in af4ade37435fcc31c8489f4d7c7496fef5f74b05
"meson: use new python module".
And add `-Dlibpython-dir` option for the cases the logic fails.
=== release 1.15.1 ===
2019-01-17 02:33:52 +0000 Tim-Philipp Müller <tim@centricular.com>
......
This diff is collapsed.
This is GStreamer gst-python 1.15.1.
This is GStreamer gst-python 1.15.2.
GStreamer 1.15 is the development branch leading up to the next major
stable version which will be 1.16.
......
......@@ -3,7 +3,7 @@ AC_PREREQ([2.68])
dnl initialize autoconf
dnl when going to/from release please set the nano (fourth number) right !
dnl releases only do Wall, cvs and prerelease does Werror too
AC_INIT(GStreamer GObject Introspection overrides for Python , 1.15.1,
AC_INIT(GStreamer GObject Introspection overrides for Python , 1.15.2,
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer,
gst-python)
......@@ -38,7 +38,7 @@ AC_SUBST(ACLOCAL_AMFLAGS, "-I m4 -I common/m4")
dnl required versions of other packages
dnl Note that they are runtime requirements
AC_SUBST(GST_REQ, 1.15.1)
AC_SUBST(GST_REQ, 1.15.2)
AC_SUBST(PYGOBJECT_REQ, 3.8)
AC_DISABLE_STATIC
......
......@@ -30,6 +30,16 @@ GStreamer Python Bindings is a set of overrides and Gst fundamental types handli
</GitRepository>
</repository>
<release>
<Version>
<revision>1.15.2</revision>
<branch>master</branch>
<name></name>
<created>2019-02-26</created>
<file-release rdf:resource="https://gstreamer.freedesktop.org/src/gst-python/gst-python-1.15.2.tar.xz" />
</Version>
</release>
<release>
<Version>
<revision>1.15.1</revision>
......
project('gst-python', 'c', 'cpp',
version : '1.15.1',
version : '1.15.2',
meson_version : '>= 0.46.0',
default_options : [ 'warning_level=1',
'c_std=gnu99',
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment